Bug 977123 - Review Request: nodejs-grunt-contrib-concat - Concatenate files with grunt
Review Request: nodejs-grunt-contrib-concat - Concatenate files with grunt
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
:
Depends On: 977122
Blocks: 858027 nodejs-reviews 969823
  Show dependency treegraph
 
Reported: 2013-06-23 12:58 EDT by Jamie Nguyen
Modified: 2014-03-11 20:01 EDT (History)
2 users (show)

See Also:
Fixed In Version: nodejs-grunt-contrib-concat-0.3.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-07 01:28:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tom: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jamie Nguyen 2013-06-23 12:58:51 EDT
Spec URL: http://jamielinux.fedorapeople.org/grunt/nodejs-grunt-contrib-concat.spec
SRPM URL: http://jamielinux.fedorapeople.org/grunt/SRPMS/nodejs-grunt-contrib-concat-0.3.0-1.fc19.src.rpm
Fedora Account System Username: jamielinux

Description:
Concatenate files with grunt.
Comment 1 Tom Hughes 2014-01-19 06:16:25 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 8 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-grunt-contrib-concat-0.3.0-1.fc21.noarch.rpm
          nodejs-grunt-contrib-concat-0.3.0-1.fc21.src.rpm
nodejs-grunt-contrib-concat.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-grunt-contrib-concat
nodejs-grunt-contrib-concat.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-grunt-contrib-concat (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-grunt-contrib-concat:
    nodejs-grunt-contrib-concat
    npm(grunt-contrib-concat)



Source checksums
----------------
http://registry.npmjs.org/grunt-contrib-concat/-/grunt-contrib-concat-0.3.0.tgz :
  CHECKSUM(SHA256) this package     : fd6195513e7075c1f5bd95f9b4a964a958e0ecb40d22ac6d6c05b58e643102e1
  CHECKSUM(SHA256) upstream package : fd6195513e7075c1f5bd95f9b4a964a958e0ecb40d22ac6d6c05b58e643102e1


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 977123
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 2 Tom Hughes 2014-01-19 06:19:28 EST
I haven't been able to run the tests as some of the requirements are not packaged yet, but other than that it looks good. Package approved.
Comment 3 Tom Hughes 2014-02-23 10:47:02 EST
Did you miss the fact that I approved this one?
Comment 4 Jamie Nguyen 2014-02-23 10:49:07 EST
Oops, yes I did. Thanks for pointing this out :)
Comment 5 Jamie Nguyen 2014-02-23 10:50:18 EST
New Package SCM Request
=======================
Package Name: nodejs-grunt-contrib-concat
Short Description: Concatenate files with grunt
Owners: jamielinux patches
Branches: f19 f20 el6 epel7
InitialCC:
Comment 6 Gwyn Ciesla 2014-02-24 08:16:21 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2014-02-24 11:38:28 EST
nodejs-grunt-contrib-concat-0.3.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-grunt-contrib-concat-0.3.0-1.fc20
Comment 8 Fedora Update System 2014-02-24 11:39:00 EST
nodejs-grunt-contrib-concat-0.3.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-grunt-contrib-concat-0.3.0-1.fc19
Comment 9 Fedora Update System 2014-02-24 11:39:42 EST
nodejs-grunt-contrib-concat-0.3.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-grunt-contrib-concat-0.3.0-1.el6
Comment 10 Fedora Update System 2014-02-24 15:09:10 EST
nodejs-grunt-contrib-concat-0.3.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 11 Fedora Update System 2014-03-07 01:28:10 EST
nodejs-grunt-contrib-concat-0.3.0-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 12 Fedora Update System 2014-03-07 01:42:21 EST
nodejs-grunt-contrib-concat-0.3.0-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 13 Fedora Update System 2014-03-11 20:01:44 EDT
nodejs-grunt-contrib-concat-0.3.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.